## org.jfree.report.modules.factories.report.flow
Class DetailSectionReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
              org.jfree.report.modules.factories.report.flow.SectionReadHandler
                  org.jfree.report.modules.factories.report.flow.DetailSectionReadHandler

All Implemented Interfaces:
  NodeReadHandler, org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class DetailSectionReadHandler

extends SectionReadHandler

Creation-Date: 09.04.2006, 14:57:38

Author:
  Thomas Morgner

Constructor Summary
`DetailSectionReadHandler()` Creates a new generic read handler.

Method Summary
`protected Element` `getElement()`

Methods inherited from class org.jfree.report.modules.factories.report.flow.SectionReadHandler
`characters, configureElement, doneParsing, getHandlerForChild, startParsing`

Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
`getNode, getObject, getStyle, init, isEnabled`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler
`endElement, startElement`

Constructor Detail

### DetailSectionReadHandler

    public DetailSectionReadHandler()

  Creates a new generic read handler. The given namespace and tagname can be arbitary values and should not be confused with the ones provided by the XMLparser itself.

  Parameters:
    `namespace` -
    `tagName` -

Method Detail

### getElement

    protected Element getElement()

  Overrides:
    `getElement` in class `SectionReadHandler`